#
#   LowerToUpperCase.make
#
#	MPW makefile for LowerToUpperCase translation extension
#
#	Copyright  1994, Apple Computer, Inc.  All rights reserved.
#
#
#	Modified from LowerToUpperCaseScrap
#	R.Silva 8/23/95
#
AppName  = LowerToUpperCase
Creator = 'M&Ms'
Type	= 'thng'

SymOpt = on   # Set to "on" to build a debuggable version.

Source_Folder = :

Objects = :Objects:

{Objects}  {Source_Folder}

Sources = LowerToUpperCase.c
		  
Resources = {AppName}.r 
			{AppName}.r1

PPC_Objects = 	{Objects}{AppName}.c.ppc.o
				
68K_Objects = 	{Objects}{AppName}.c.68k.o
				
PPCC_Options = 	 -sym {SymOpt}

C_Options = -i "{PPCCIncludes}" -sym {SymOpt}  # Use universal headers for 68K build.

R_Options = -i "{CIncludes}"

PPC_Libraries =	"{SharedLibraries}"InterfaceLib	
				"{SharedLibraries}"StdCLib		
				"{SharedLibraries}"TranslationLib  
				"{PPCLibraries}"StdCRuntime.o		
				"{PPCLibraries}"PPCCRuntime.o		
				"{PPCLibraries}"PPCToolLibs.o		
				"{PPCLibraries}"TranslationExtInterface.xcoff
				
68K_Libraries = "{Libraries}"MacRuntime.o  
				"{Libraries}"Interface.o

PPC_LibEquates = 	-l InterfaceLib.xcoff=InterfaceLib 
                	-l StdCLib.xcoff=StdCLib 
					-l MathLib.xcoff=MathLib
										
Makefile =		{AppName}.make

#C =				SC

PEF_Options = -b -x

#PPCC = MrC

{AppName}  {Objects}{AppName}.pef {Objects}{AppName}.68K
	Rez {AppName}.r -a -i {Objects} -o {AppName} {R_Options}
	SetFile {AppName} -a Bi -t thng -c M&Ms 
	
{Objects}{AppName}.pef  {Objects}{AppName}.xcoff {Resources}
	makepef  {PEF_Options} 						
	         {Objects}{AppName}.xcoff 			
             {PPC_LibEquates} 					
             -o {Targ}					
	Rez {AppName}.r1 -a -o {Targ}
			
{Objects}{AppName}.xcoff  {PPC_Objects}
		PPCLink		
		{PPC_Objects}											
		{PPC_Libraries}				 							
		-sym {SymOpt}				 							
		-outputFormat  xcoff				 					
		-main TranslateEntry		 							
		-o {Targ}

{Objects}{AppName}.68K  {68K_Objects} {Resources}
	Link -d -t rsrc -c RSED 						
		"{Libraries}"TranslateExtensionInterface.o	
		{68K_Objects} 								
		{68K_Libraries}		    					
		-sym {SymOpt}								
		-m TRANSLATEENTRY 							
		-rn -sg MergeSegments -t rsrc -c RSED		
		-rt xlat=128								
		-o {Targ}

.c.ppc.o		.c {Makefile}        # Whenever the Makefile changes, all .o's get built.
	{PPCC} {PPCC_Options} {default}.c -o {Targ}
	
.c.68k.o		.c {Makefile}        # Whenever the Makefile changes, all .o's get built.
	{C} {C_Options} {default}.c -o {Targ}

